Bug 1476264 - Hammer package info --id never gives vendor details
Hammer package info --id never gives vendor details
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content (Show other bugs)
6.2.10
All Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 08:52 EDT by Abhishek Sahni
Modified: 2017-08-07 06:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhishek Sahni 2017-07-28 08:52:08 EDT
Description of problem:

While fetching information of specific packages "Vendor" details is missing always. 

Version-Release number of selected component (if applicable):


How reproducible:
100 %

Steps to Reproduce:

#hammer shell

hammer> package info --id 1

=======================================
ID:            1
Name:          katello-agent
Version:       2.9.0.1
Architecture:  noarch
Epoch:         0
Release:       1.el7sat
Author:        
Filename:      katello-agent-2.9.0.1-1.el7sat.noarch.rpm
Build Host:    x86-019.build.eng.bos.redhat.com
Vendor:        
License:       LGPLv2
Relative Path: Packages/katello-agent-2.9.0.1-1.el7sat.noarch.rpm
Description:   Provides plugin for gofer, which allows communicating with Katello server
and execute scheduled actions.
========================================

If we check using rpm command,

#rpm -qi katello-agent

===========================================
Name        : katello-agent
Version     : 2.9.0.1
Release     : 1.el7sat
Architecture: noarch
Install Date: Wednesday 28 June 2017 02:30:08 AM IST
Group       : Development/Languages
Size        : 55775
License     : LGPLv2
Signature   : RSA/SHA256, Friday 02 June 2017 08:28:04 PM IST, Key ID 199e2f91fd431d51
Source RPM  : katello-agent-2.9.0.1-1.el7sat.src.rpm
Build Date  : Wednesday 17 May 2017 01:24:22 AM IST
Build Host  : x86-019.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://github.com/Katello/katello-agent
Summary     : The Katello Agent
Description :
Provides plugin for gofer, which allows communicating with Katello server
and execute scheduled actions.
===========================================

Note You need to log in before you can comment on or make changes to this bug.